Index: util/inteltool/cpu.c
===================================================================
--- util/inteltool/cpu.c	(revision 5976)
+++ util/inteltool/cpu.c	(working copy)
@@ -108,6 +108,7 @@
 		{ 0x008b, "IA32_BIOS_SIGN_ID" },
 		{ 0x00c1, "PERFCTR0" },
 		{ 0x00c2, "PERFCTR1" },
+		{ 0x0119, "BBL_CR_CTL" },
 		{ 0x011e, "BBL_CR_CTL3" },
 		{ 0x0179, "IA32_MCG_CAP" },
 		{ 0x017a, "IA32_MCG_STATUS" },
@@ -453,6 +454,10 @@
 	} cpu_t;
 
 	cpu_t cpulist[] = {
+		{ 0x00630, model6bx_global_msrs, ARRAY_SIZE(model6bx_global_msrs), NULL, 0 },
+		{ 0x00650, model6bx_global_msrs, ARRAY_SIZE(model6bx_global_msrs), NULL, 0 },
+		{ 0x00660, model6bx_global_msrs, ARRAY_SIZE(model6bx_global_msrs), NULL, 0 },
+		{ 0x00670, model6bx_global_msrs, ARRAY_SIZE(model6bx_global_msrs), NULL, 0 },
 		{ 0x006b0, model6bx_global_msrs, ARRAY_SIZE(model6bx_global_msrs), NULL, 0 },
 		{ 0x006e0, model6ex_global_msrs, ARRAY_SIZE(model6ex_global_msrs), model6ex_per_core_msrs, ARRAY_SIZE(model6ex_per_core_msrs) },
 		{ 0x006f0, model6fx_global_msrs, ARRAY_SIZE(model6fx_global_msrs), model6fx_per_core_msrs, ARRAY_SIZE(model6fx_per_core_msrs) },
